Subject: Re: bug#53204: [patch] font-cns11643: Open_Data hash changed

From: Maxime Devos <[email-masked]>
Date: Wed, 12 Jan 2022 10:45:07 +0000

Dr. Arne Babenhauserheide schreef op wo 12-01-2022 om 09:54 [+0100]:
> Hi,
> 
> the archive Open_Data.zip changed and the fonts were updated. The
> attached patch should fix it: [...]

From (gnu packages fonts):

  ;; Since upstream doesn't provide any version numbers, the date of the last
  ;; edit is used, taken from https://data.gov.tw/dataset/5961
  ;; XXX: The source is also updated in-place, so it may be desirable to mirror
  ;; it elsewhere to avoid suddenly losing the current source file.
  (package
    (name "font-cns11643")
    (version "98.1.20180605")
    (source (origin
              (method url-fetch)
              (uri "http://www.cns11643.gov.tw/AIDB/Open_Data.zip")

Given that Open_Data.zip has a history of being modified in-place,
maybe it would be a good idea to use the Internet Archive Machine instead?

Latest version current in the archive: 
https://web.archive.org/web/20211004150815/http://www.cns11643.gov.tw/AIDB/Open_Data.zip

On <https://web.archive.org/save/http://www.cns11643.gov.tw/AIDB/Open_Data.zip>,
I requested a fresh archival, but it will take some time to complete.

Greetings,
Maxime.